Subject: Re: [PATCH v3 14/17] arm64: dts: realtek: Add EL2 virtual timer interrupt

From: Marc Zyngier <[email-masked]>
Date: Wed, 27 May 2026 08:05:46 +0100

On Wed, 27 May 2026 07:36:18 +0100,
"Yu-Chun Lin [林祐君]" <[email-masked]> wrote:
> 
> > Subject: [PATCH v3 14/17] arm64: dts: realtek: Add EL2 virtual timer interrupt
> > 
> > The ARMv8.2 based CPUs used in a number of Realtek SoCs are missing the
> > EL2 virtual timer interrupt. Add it.
> > 
> > Furthermore, the "kent" platform appears to assign PPI9 to both the
> > EL2 virtual timer and the GIC Maintenance Interrupt, which can't be right.
> > Attempt a fix by setting the former to PPI12, as PPI9 is traditionally wired to
> > the GIC itself.
> > 
> > Signed-off-by: Marc Zyngier <[email-masked]>
> > ---
> >  arch/arm64/boot/dts/realtek/kent.dtsi    | 2 +-
> >  arch/arm64/boot/dts/realtek/rtd16xx.dtsi | 3 ++-
> >  2 files changed, 3 insertions(+), 2 deletions(-)
> > 
> > diff --git a/arch/arm64/boot/dts/realtek/kent.dtsi
> > b/arch/arm64/boot/dts/realtek/kent.dtsi
> > index ae006ce244205..4147e4269247a 100644
> > --- a/arch/arm64/boot/dts/realtek/kent.dtsi
> > +++ b/arch/arm64/boot/dts/realtek/kent.dtsi
> > @@ -23,7 +23,7 @@ timer {
> >                              <GIC_PPI 14 IRQ_TYPE_LEVEL_LOW>,
> >                              <GIC_PPI 11 IRQ_TYPE_LEVEL_LOW>,
> >                              <GIC_PPI 10 IRQ_TYPE_LEVEL_LOW>,
> > -                            <GIC_PPI  9 IRQ_TYPE_LEVEL_HIGH>;
> > +                            <GIC_PPI 12 IRQ_TYPE_LEVEL_HIGH>;
> 
> Thanks for this patch. However, the 5th interrupt should be
> 
> <GIC_PPI 12 IRQ_TYPE_LEVEL_LOW>;

I suspected as much, but it was hard to know exactly how wrong the
original descriptor was, so I decided to change as little as
possible. It has no material impact on the interrupt, as the GIC has
no way to distinguish LEVEL_HIGH from LEVEL_LOW (it only distinguishes
between LEVEL and EDGE). So this only serves as documentation.

> 
> If you are ok with it, I will amend it when applying.

Please go ahead.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.